From: "罗百科" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fabric/opensm/
Date: Mon, 1 Mar 2021 15:43:02 +0000 (UTC) [thread overview]
Message-ID: <1614613380.be40870874711d398762b80ed81c2f3dd7242c58.patrick@gentoo> (raw)
commit: be40870874711d398762b80ed81c2f3dd7242c58
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 1 15:42:35 2021 +0000
Commit: 罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Mon Mar 1 15:43:00 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be408708
sys-fabric/opensm: Bump
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>
sys-fabric/opensm/Manifest | 1 +
sys-fabric/opensm/opensm-3.3.23.ebuild | 58 ++++++++++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/sys-fabric/opensm/Manifest b/sys-fabric/opensm/Manifest
index b3649eecb82..2e1884a4108 100644
--- a/sys-fabric/opensm/Manifest
+++ b/sys-fabric/opensm/Manifest
@@ -1 +1,2 @@
DIST OFED-3.12-rc1.tgz 22055476 BLAKE2B 49e6411721392f418369a292513709f396fbb0f17001687aa15b5c0acdc91013cc67354e5978df56452178af7fbbd338a7ff408592ff9126a3045b9bb27375fe SHA512 9f834d6982ab7e8ab47a8b5c958ab2e4c238ef983e47798e7f06655f69672ea1e996297939b381f26ed8c39552f6e62156173d5ddd2f0a7b6cad6aecdd973944
+DIST opensm-3.3.23.tar.gz 1357906 BLAKE2B 7f085dc1e0a1f284baf1410661aa247ef7e48cdaa696c38ef8a38d5a214e03966b54fb75c035103ac0d6ab9e0a37500d5fad51b0b52c7f5edffb3c3ddfa86eb4 SHA512 249143fcf2cac0504923992d46dfbd6821aad3da55ecc12c92b273b4e59196f88d9d1802d9f58ae6f1ace49958e0222424aea9b48e5aba519e5a5736fc51c3fe
diff --git a/sys-fabric/opensm/opensm-3.3.23.ebuild b/sys-fabric/opensm/opensm-3.3.23.ebuild
new file mode 100644
index 00000000000..ffcf8f39bf1
--- /dev/null
+++ b/sys-fabric/opensm/opensm-3.3.23.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit autotools eutils
+
+HOMEPAGE="https://github.com/linux-rdma/opensm/"
+DESCRIPTION="OpenSM - InfiniBand Subnet Manager and Administration for OpenIB"
+
+SRC_URI="https://github.com/linux-rdma/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="tools"
+SLOT="0"
+LICENSE="|| ( GPL-2 BSD-2 )"
+
+DEPEND="sys-cluster/rdma-core"
+RDEPEND="$DEPEND
+ tools? (
+ net-misc/iputils
+ net-misc/openssh
+ )"
+
+PATCHES=( "${FILESDIR}/${PN}-3.3.17-sldd.patch" )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-perf-mgr \
+ --enable-default-event-plugin \
+ --with-osmv="openib"
+}
+
+src_install() {
+ default
+ newconfd "${FILESDIR}/opensm.conf.d" opensm
+ newinitd "${FILESDIR}/opensm.init.d" opensm
+ insinto /etc/logrotate.d
+ newins "${S}/scripts/opensm.logrotate" opensm
+ # we dont need this int script
+ rm "${ED}/etc/init.d/opensmd" || die "Dropping of upstream initscript failed"
+
+ if use tools; then
+ dosbin scripts/sldd.sh
+ newconfd "${FILESDIR}/sldd.conf.d" sldd
+ newinitd "${FILESDIR}/sldd.init.d" sldd
+ fi
+}
+
+pkg_postinst() {
+ einfo "To automatically configure the infiniband subnet manager on boot,"
+ einfo "edit /etc/opensm.conf and add opensm to your start-up scripts:"
+ einfo "\`rc-update add opensm default\`"
+}
next reply other threads:[~2021-03-01 15:43 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-01 15:43 罗百科 [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-07-04 22:32 [gentoo-commits] repo/gentoo:master commit in: sys-fabric/opensm/ Sam James
2023-07-04 22:14 Sam James
2023-07-04 22:13 Sam James
2023-05-11 20:03 Sam James
2022-12-23 20:11 Kenton Groombridge
2022-02-15 9:24 Jakov Smolić
2022-01-15 23:34 David Seifert
2021-06-29 21:24 Sam James
2021-06-29 21:24 Sam James
2021-05-16 19:53 Sam James
2018-04-23 0:24 Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614613380.be40870874711d398762b80ed81c2f3dd7242c58.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox